%define aprutilver %version
%define aprutilmajver %(echo %aprutilver | cut -d. -f 1)

Name:          libaprutil
Epoch:         1
Version:       1.6.3
Release:       1mamba
Summary:       The Apache Portable Runtime (APR)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://apr.apache.org/
Source:        http://mirror.nohup.it/apache/apr/apr-util-%{version}.tar.bz2
Source2:       http://apache.webthing.com/svn/apache/apr/apr_dbd_mysql.c
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libapr-devel
BuildRequires: libdb53-devel
BuildRequires: libexpat-devel
BuildRequires: libgdbm-devel
BuildRequires: libmariadb-devel
BuildRequires: libodbc-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpostgresql-devel
BuildRequires: libsasl2-devel
BuildRequires: libsqlite-devel
BuildRequires: libuuid-devel
## AUTOBUILDREQ-END
Provides:      libaprutil1
Obsoletes:     libaprutil1 < 1:1.6.3

%description
The mission of the Apache Portable Runtime (APR) project is to create and maintain software libraries that provide a predictable and consistent interface to underlying platform-specific implementations.
The primary goal is to provide an API to which software developers may code and be assured of predictable if not identical behaviour regardless of the platform on which their software is built, relieving them of the need to code special-case conditions to work around or take advantage of platform-specific deficiencies or features.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libaprutil1-devel = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libaprutil1-devel < 1:1.6.3

%description devel
The mission of the Apache Portable Runtime (APR) project is to create and maintain software libraries that provide a predictable and consistent interface to underlying platform-specific implementations.
The primary goal is to provide an API to which software developers may code and be assured of predictable if not identical behaviour regardless of the platform on which their software is built, relieving them of the need to code special-case conditions to work around or take advantage of platform-specific deficiencies or features.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n apr-util-%{version}
# see file INSTALL.MySQL
install -m 0644 %{SOURCE2} dbd/

%build
#./buildconf --with-apr=..
./configure \
   --prefix=%{_prefix} \
   --libdir=%{_libdir} \
   --with-apr=%{_prefix} \
   --with-ldap \
   --with-dbm=db53 \
   --with-berkeley-db=%{_includedir} \
   --with-gdbm \
   --with-mysql=%{_prefix} \
   --with-pgsql \
   --with-sqlite3 \
   --with-expat=%{_prefix} \
   --without-sqlite2

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

# unpackaged files
rm -f %{buildroot}%{_libdir}/aprutil.exp

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/apu-%{aprutilmajver}-config
%{_libdir}/libaprutil-%{aprutilmajver}.so.*
%{_libdir}/apr-util-1/apr_dbd_mysql-1.so
%{_libdir}/apr-util-1/apr_dbd_mysql.a
%{_libdir}/apr-util-1/apr_dbd_mysql.so
%{_libdir}/apr-util-1/apr_dbd_odbc-1.so
%{_libdir}/apr-util-1/apr_dbd_odbc.a
%{_libdir}/apr-util-1/apr_dbd_odbc.so
%{_libdir}/apr-util-1/apr_dbd_pgsql-1.so
%{_libdir}/apr-util-1/apr_dbd_pgsql.a
%{_libdir}/apr-util-1/apr_dbd_pgsql.so
#%if "%{stage1}" != "1"
#%{_libdir}/apr-util-1/apr_dbd_sqlite2-1.so
#%{_libdir}/apr-util-1/apr_dbd_sqlite2.a
#%{_libdir}/apr-util-1/apr_dbd_sqlite2.la
#%{_libdir}/apr-util-1/apr_dbd_sqlite2.so
#%endif
%{_libdir}/apr-util-1/apr_dbd_sqlite3-1.so
%{_libdir}/apr-util-1/apr_dbd_sqlite3.a
%{_libdir}/apr-util-1/apr_dbd_sqlite3.so
%{_libdir}/apr-util-1/apr_dbm_db-1.so
%{_libdir}/apr-util-1/apr_dbm_db.a
%{_libdir}/apr-util-1/apr_dbm_db.so
#%{_libdir}/apr-util-1/apr_dbd_freetds-1.so
#%{_libdir}/apr-util-1/apr_dbd_freetds.a
#%{_libdir}/apr-util-1/apr_dbd_freetds.la
#%{_libdir}/apr-util-1/apr_dbd_freetds.so
%{_libdir}/apr-util-1/apr_dbm_gdbm-1.so
%{_libdir}/apr-util-1/apr_dbm_gdbm.a
%{_libdir}/apr-util-1/apr_dbm_gdbm.so
%{_libdir}/apr-util-1/apr_ldap-1.so
%{_libdir}/apr-util-1/apr_ldap.a
%{_libdir}/apr-util-1/apr_ldap.so
%doc CHANGES LICENSE

%files devel
%defattr(-,root,root)
%{_includedir}/apr-1/*.h
%{_libdir}/pkgconfig/apr-util-1.pc
%{_libdir}/libaprutil-%{aprutilmajver}.a
%{_libdir}/libaprutil-%{aprutilmajver}.so

%changelog
* Mon Feb 06 2023 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Mon Dec 07 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-3mamba
- rebuilt with debug package and without sqlite2

* Sat Nov 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-2mamba
- rebuilt with --with-devrandom to fix httpd under libvirt

* Sat Nov 18 2017 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic update by autodist

* Fri May 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.4-2mamba
- rebuilt with mariadb libmysqlclient

* Sun Oct 05 2014 Automatic Build System <autodist@mambasoft.it> 1.5.4-1mamba
- automatic update by autodist

* Tue Nov 19 2013 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic update by autodist

* Thu Apr 04 2013 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Thu Apr 26 2012 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 1.3.12-1mamba
- automatic update by autodist

* Thu May 12 2011 Automatic Build System <autodist@mambasoft.it> 1.3.11-1mamba
- automatic update by autodist

* Wed Nov 24 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.10-1mamba
- update to 1.3.10

* Tue Oct 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.9-1mamba
- update to 1.3.9

* Wed Jun 10 2009 Automatic Build System <autodist@mambasoft.it> 1.3.7-1mamba
- automatic update by autodist

* Thu Dec 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.4-1mamba
- update to 1.3.4

* Mon Dec 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.3-1mamba
- update to 1.3.3

* Sun Feb 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.12-1mamba
- update to 1.2.12
- libapr-devel: obsolete libapr1-devel

* Wed Nov 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.11-2mamba
- rename to libapr and obsolete libapr1 packages

* Thu Sep 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.11-1mamba
- update to 1.2.11

* Thu May 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-4mamba
- libapr1-devel: obsolete and remove libaprutil1-devel

* Tue May 08 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-3mamba
- set epoch to 1 as it was for libaprutil1 for updates to work

* Mon May 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-2mamba
- but libaprutil1 from libapr1 source package

* Fri Apr 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-1mamba
- update to 1.2.8
- includes installed into %{_includedir}/apr-1

* Thu Apr 19 2007 Davide Madrisan <davide.madrisan@gmail.com> 1.2.2-3mamba
- rebuilt with the openmamba compiler to fix the output of 'apr-1-config --cc'

* Mon Mar 20 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.2-2qilnx
- moved apr-%{aprver}-config executable to main package

* Wed Mar 01 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.2-1qilnx
- update to version 1.2.2 by autospec

* Mon Feb 07 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-1qilnx
- package created by autospec
